module param
      implicit none
      ! acceleration due to gravity [m/s^2]
      real, parameter :: g = 9.81
      ! molecular Prandtl number (air)
      real, parameter :: Pr_m = 0.71
      ! von Karman constant [n/d]
      real, parameter :: kappa = 0.40
      ! inverse Prandtl (turbulent) number in neutral conditions
      real, parameter :: Pr_t_0_inv = 1.15
      ! inverse Prandtl (turbulent) number in free convection
      real, parameter :: Pr_t_inf_inv = 3.5

      ! stability function coeff. [= g4 & g10 in deprecated code]
      real, parameter :: alpha_m = 16.0
      real, parameter :: alpha_h = 16.0

      real, parameter ::  b4=4.7e0
      real, parameter ::  alfam=.0144e0
      real, parameter ::  betam=.111e0
      real, parameter ::  an=.000015e0
      real, parameter ::  h1=10.0e0
      real, parameter ::  x8=16.3e0
      real, parameter ::  an1=5.0e0/6.0e0
      real, parameter ::  an2=.45e0
      real, parameter ::  al1=kappa*Pr_m
      real, parameter ::  g0=1.2
      real, parameter ::  al2=(.14e0*(30.0e0**an2))*(Pr_m**.8e0)
      real, parameter ::  a2=alog(h1*(g/alfam))
      real, parameter ::  a3=betam*an*a2
      real, parameter ::  r0=.9e0/b4
!C*      real, parameter ::  AN5=(A6/A0)**4
!C*      real, parameter ::  D1=(2.0E0*G10-AN5*G4-SQRT((AN5*G4)**2+4.0E0*AN5*G10*(G10-G4)))/(2.0E0*G10**2)
!C*      real, parameter ::  Y10=(1.0E0-G4*D1)**.25E0
!C*      real, parameter ::  X10=(1.0E0-G10*D1)**.5E0
!C*      real, parameter ::  P1=2.0E0*ATAN(Y10)+ALOG((Y10-1.0E0)/(Y10+1.0E0))
!C*      real, parameter ::  P0=ALOG((X10-1.0E0)/(X10+1.0E0))
      
!      AN5=(A6/A0)**4
!      D1=(2.0E0*G10-AN5*G4-SQRT((AN5*G4)**2+4.0E0*AN5*G10*(G10-G4)))/(2.0E0*G10**2)
!      Y10=(1.0E0-G4*D1)**.25E0
!      X10=(1.0E0-G10*D1)**.5E0
!      P1=2.0E0*ATAN(Y10)+ALOG((Y10-1.0E0)/(Y10+1.0E0))
!      P0=ALOG((X10-1.0E0)/(X10+1.0E0))

end module PARAM









